# incFraction.s
# adds one to a fraction
# Bob Plantz - 18 June 2009

# Include object data definition
        .include "fraction.h"
# Stack frame
        .equ    x,-fractionSize # Space for a fraction object
        .equ    localSize,x
# Read only data
        .section  .rodata
endl:   .string "\n"
# Code
        .text
        .globl  main
        .type   main, @function
main:
        pushq   %rbp            # save frame pointer
        movq    %rsp, %rbp      # our frame pointer
        addq    $localSize, %rsp  # local variables
        andq    $-16, %rsp      # ensure 16-byte boundary

        leaq    x(%rbp), %rdi   # get address of object
        call    fraction        # construct it

        leaq    x(%rbp), %rdi   # get address of object
        call    fractionGet     # get user's values

        movl    $1, %esi        # increment fraction by 1
        leaq    x(%rbp), %rdi   # get address of object
        call    fractionAdd     # add the value
       
        leaq    x(%rbp), %rdi   # get address of object
        call    fractionDisplay # display result

        movq    $endl, %rdi     # do next line
        call    writeStr

        movl    $0, %eax        # return 0;
        movq    %rbp, %rsp      # delete local vars.
        popq    %rbp            # restore frame pointer
        ret                     # back to caller (OS)

