# putUint.s
# writes an unsigned int to standard out
# Bob Plantz - 23 April 2008

# Calling sequence
#       edi <- int to print
#       call putUint

# Stack frame, showing local variables
        .equ    theDec,-16
        .equ    localSize,-16

        .text
        .globl  putUint
        .type   putUint, @function
putUint:
        pushq   %rbp             # save callers base ptr
        movq    %rsp, %rbp       # our stack frame
        addq    $localSize, %rsp # local vars.

        movl    %edi, %esi       # number to convert
        leaq    theDec(%rbp), %rdi  # place to store string
        call    intToUDec        # do the conversion to string
        
        leaq    theDec(%rbp), %rdi  # place where string stored
        call    writeStr        # write it

        movq    %rbp, %rsp      # delete local vars.
        popq    %rbp            # restore caller base ptr
        ret
