/*
 * decToUInt.c
 * Converts decimal character string to int.
 * Bob Plantz - 15 June 2009
 */
 
#include "decToUInt.h"
#define NUMERALMASK 0xf

unsigned int decToUInt(char *stringPtr)
{
    unsigned int accumulator = 0;
    unsigned int base = 10;
    unsigned char current;

    current = *stringPtr;
    while (current != '\0')
    {
        accumulator = accumulator * base;
        current = current & NUMERALMASK;
        accumulator += (int)current;
        stringPtr++;
        current = *stringPtr;
    }
    return accumulator;
}
   
