/*
 * readLn.h
 * Reads a line from standard in.
 * Drops newline character. Eliminates 
 * excess characters from input buffer.
 *
 * input:
 *    from keyboard
 * output:
 *    null-terminated text string
 *    returns number of chars in text string
 *
 * Bob Plantz - 19 June 2009
 */
 
#ifndef READLN_H
#define READLN_H
int readLn(char *, int);
#endif

