# fraction.s
# constructs a fraction to be 0/1
# Bob Plantz - 18 June 2009
# Calling sequence:
#       rdi <- address of object
#       call    decToUInt
# Include object data definition
        .include "fraction.h"
# Read only data
        .section  .rodata
zero:   .long   0
one:    .long   1
# Code       
        .text
        .globl  fraction
        .type   fraction, @function
fraction:
        pushq   %rbp            # save frame pointer
        movq    %rsp, %rbp      # our frame pointer

        movl    zero, %eax
        movl    %eax, num(%rdi) # numerator = 0
        movl    one, %eax
        movl    %eax, den(%rdi) # denominator = 1

        movq    %rbp, %rsp      # delete local vars.
        popq    %rbp            # restore frame pointer
        ret                     # back to caller

