# fractionAdd.s
# adds input value to a fraction
# Bob Plantz - 18 June 2009
# Calling sequence:
#       esi <- int to be added
#       rdi <- address of object
#       call    fractionAdd
# Include object data definition
        .include "fraction.h"
# local register save area
        .equ    this,-8         # pointer to object
# Code
        .text
        .globl  fractionAdd
        .type   fractionAdd, @function
fractionAdd:
        pushq   %rbp             # save frame pointer
        movq    %rsp, %rbp       # our frame pointer
        movq    %rdi, this(%rsp) # save this pointer in
                                 #     red zone
        movl    %esi, %eax       # int to be added
        mull    den(%rdi)        # times denominator
        movq    this(%rsp), %rdi # restore this pointer
        addl    %eax, num(%rdi)  # add to numerator
       
        movq    %rbp, %rsp       # delete local vars.
        popq    %rbp             # restore frame pointer
        ret                      # back to caller
