# fractionGet.s
# gets user values for a fraction
# Bob Plantz - 18 June 2009
# Calling sequence:
#       rdi <- address of object
#       call    fractionGet
# Include object data definition
        .include "fraction.h"
# local register save area
        .equ    this,-8        # pointer to object
        .equ    localSize,-16
# Read only data
        .section  .rodata
numPrompt:
        .string "Enter numerator: "
denPrompt:
        .string "Enter denominator: "
# Code
        .text
        .globl  fractionGet
        .type   fractionGet, @function
fractionGet:
        pushq   %rbp             # save frame pointer
        movq    %rsp, %rbp       # our frame pointer
        addq    $localSize, %rsp
        movq    %rdi, this(%rbp) # save this pointer

        movq    $numPrompt, %rdi # prompt for numerator
        call    writeStr
        call    getUint          # get numerator
        movq    this(%rbp), %rdi # this pointer
        movl    %eax, num(%rdi)  # store in object

        movq    $denPrompt, %rdi    # prompt for denominator
        call    writeStr
        call    getUint         # get denominator
        movq    this(%rbp), %rdi # this pointer
        movl    %eax, den(%rdi) # store in object

        movq    %rbp, %rsp      # delete local vars.
        popq    %rbp            # restore frame pointer
        ret                     # back to caller
 
