# getUint.s
# reads unsigned int from standard in and returns it.
# Bob Plantz - 23 April 2008
# Calling sequence:
#       call    getUint
# returns unsigned int

# Stack frame -- local variables
        .equ    theDec,-16
        .equ    localSize,-16

        .text
        .globl  getUint
        .type   getUint, @function
getUint:
        pushq   %rbp             # save callers base ptr
        movq    %rsp, %rbp       # our stack frame
        addq    $localSize, %rsp # local vars.

        leaq    theDec(%rbp), %rdi  # place to store string
        movl    $15, %esi        # max number of chars
        call    readLn           # read it it
        
        leaq    theDec(%rbp), %rdi  # place where string stored
        call    decToUInt        # convert string to int
# the int is now in eax, ready to return

        movq    %rbp, %rsp      # delete local vars.
        popq    %rbp            # restore caller base ptr
        ret
