/*
 * fractionDisplay.c
 * Displays a fraction in num/den format
 * Bob Plantz - 16 June 2009
 * precondition
 *      this points to fraction, both num and den within 0 - 9
 * postcondition
 *      num/den displayed on the screen
 */

#include "writeStr.h"
#include "putUint.h"
#include "fractionDisplay.h"

void fractionDisplay(struct fraction* this)
{
    putUint(this->num);
    writeStr("/");
    putUint(this->den);
}
