/*
 * writeStr.c
 * Writes a line to standard out.
 *
 * input:
 *    pointer to C-style text string
 * output:
 *    to screen
 *    returns number of chars written
 *
 * Bob Plantz - 19 June 2009
 */

#include <unistd.h>
#include "writeStr.h"

int writeStr(char *stringAddr)
{
    int count = 0;
   
    while (*stringAddr != '\0')
    {
        write(STDOUT_FILENO, stringAddr, 1);
        count++;
        stringAddr++;
    }
   
    return count;
}
