/*
 * fraction.cc
 * simple fraction class
 * Bob Plantz - 18 June 2009
 */

#include "writeStr.h"
#include "getUint.h"
#include "putUint.h"
#include "fraction.h"

fraction::fraction()
{
    num = 0;
    den = 1;
}

void fraction::get()
{
    // char arrays are used because writeStr takes
    //     a pointer to a C-style string.
    char numMsg[] = "Enter numerator: ";
    char denMsg[] = "Enter denominator: ";

    writeStr(numMsg);   
    num = getUint();
   
    writeStr(denMsg);
    den = getUint();
}

void fraction::display()
{
    // char array is used because writeStr takes
    //     a pointer to a C-style string.
    char over[] = "/";

    putUint(num);
    writeStr(over);
    putUint(den);
}

void fraction::add(int theValue)
{
    num += theValue * den;
}
